Index: components/Alert.jsx
===================================================================
--- components/Alert.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/Alert.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -8,5 +8,5 @@
 
 import { setBlackjack, setStyle } from '../redux/reducers/styleSlice'
-import { setGame, setPlayer } from '../redux/reducers/playerSlice'
+import { setGame } from '../redux/reducers/playerSlice'
 
 const Alert = () => {
Index: components/GameCircle.jsx
===================================================================
--- components/GameCircle.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/GameCircle.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -4,10 +4,4 @@
 
 import { useRouter } from 'next/router'
-
-import { useState } from 'react'
-
-import { setInGame } from '../redux/reducers/playerSlice'
-import { useDispatch } from 'react-redux'
-import FullwidthText from './FullwidthText'
 
 const GameCircle = ( { src, text, routeTo, game } ) => {
Index: components/Header.jsx
===================================================================
--- components/Header.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/Header.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -3,7 +3,5 @@
 import Link from 'next/link'
 
-import { useRouter } from 'next/router'
-
-import { useState, useEffect } from 'react'
+import { useEffect } from 'react'
 import { useDispatch, useSelector } from 'react-redux'
 
@@ -23,4 +21,8 @@
       ...styleState.style,
       displayRegisterScreen: true,
+      registerScreenInfo: {
+        ...styleState.style.registerScreenInfo,
+        setFocus: true
+      }
     }))
   }
@@ -30,4 +32,8 @@
       ...styleState.style,
       displayLoginScreen: true,
+      loginScreenInfo: {
+        ...styleState.style.loginScreenInfo,
+        setFocus: true
+      }
     }))
   }
@@ -128,5 +134,5 @@
         </div>
       </Link>
-      <nav>
+      <nav className='mainHeaderNavigation'>
           <ul>
             {playerState.player.displayName === '' || playerState.player.displayName === 'Guest' ? (
Index: components/InGameHeader.jsx
===================================================================
--- components/InGameHeader.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ 	(revision )
@@ -1,269 +1,0 @@
-import React from 'react'
-
-import Link from 'next/link'
-
-import { useRouter } from 'next/router'
-
-import { AiOutlineArrowLeft } from 'react-icons/ai'
-
-import { useState, useEffect } from 'react'
-import { useDispatch, useSelector } from 'react-redux'
-
-import { setGame, setPlayer } from '../redux/reducers/playerSlice'
-import { setBlackjack, setStyle } from '../redux/reducers/styleSlice'
-
-import axios from 'axios';
-
-const InGameHeader = () => {
-    const dispatch = useDispatch();
-
-    const router = useRouter();
-
-    const playerState = useSelector(state => state.player);
-    const styleState = useSelector(state => state.style);
-
-    useEffect(() => {
-        // display loading screen
-        dispatch(setStyle({
-            ...styleState.style,
-            displayLoadingScreen: true,
-        }));
-
-        dispatch(setBlackjack({
-            ...styleState.blackjack,
-            inputControls: {
-                ...styleState.blackjack.inputControls,
-                initialBet: {
-                    ...styleState.blackjack.inputControls.initialBet,
-                    chosenCredits: parseInt(playerState.player.credits/2),
-                }
-            }
-        }));
-
-        axios.get(`/api/postgre?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(postgreRes => {
-            if (postgreRes.data?.success) {
-                dispatch(setPlayer({
-                    ...playerState.player,
-                    displayName: postgreRes.data?.displayName,
-                    session_id: postgreRes.data?.session_id,
-                    credits: postgreRes.data?.credits,
-                }));
-
-                axios.get(`/api/blackjack?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
-                    if (res.data?.success) {
-                        dispatch(setGame({
-                            ...playerState.game,
-                            status: res.data?.status,
-                            playerCards: res.data?.playerCards,
-                            dealerCards: res.data?.dealerCards,
-                        }))
-
-                        dispatch(setStyle({
-                            ...styleState.style,
-                            displayLoadingScreen: false,
-                        }))
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 5) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: 0,
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-
-                            if (res.data?.outcome === 'player_busted') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You busted!',
-                                        subtitle: `You lost $${-1*res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'dealer_busted') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'Dealer busted!',
-                                        subtitle: `You won $${res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'player_won') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You won!',
-                                        subtitle: `You won $${res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'player_lost') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You lost!',
-                                        subtitle: `You lost $${-1*res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'draw') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'Draw!',
-                                        subtitle: `You got your $${res.data?.earnings} back`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 4) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: 0,
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 3) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: parseInt(res.data?.sideBet),
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 2) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    sideBet: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 1) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(postgreRes.data?.credits/2),
-                                    }
-                                },
-                            }))
-                        }
-                    }
-                });
-            }
-            else {
-                dispatch(setStyle({
-                    ...styleState.style,
-                    notification: {
-                        show: true,
-                        text: 'Please login in order to play blackjack.',
-                        status: 'error',
-                    },
-                    displayLoadingScreen: false,
-                }))
-
-                router.push('/');
-            }
-        });
-    }, []);
-
-    return (
-        <header className="header">
-            <Link href="/" passHref>
-                <h2>
-                    <AiOutlineArrowLeft />
-                </h2>
-            </Link>
-            <nav>
-                <ul>
-                    <li>Hi{playerState?.player?.displayName ? `, ${playerState.player.displayName}` : ``}</li>
-                    <li>Balance: ${playerState?.player?.credits}</li>
-                </ul>
-            </nav>
-        </header>
-    )
-}
-
-export default InGameHeader
Index: components/LoginScreen.jsx
===================================================================
--- components/LoginScreen.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/LoginScreen.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -2,4 +2,6 @@
 
 import { useSelector, useDispatch } from 'react-redux'
+
+import { useRef } from 'react'
 
 import { setPlayer } from '../redux/reducers/playerSlice';
@@ -9,8 +11,23 @@
 
 const LoginScreen = () => {
+    const ref = useRef(null);
+
     const dispatch = useDispatch();
 
     const playerState = useSelector(state => state.player);
     const styleState = useSelector(state => state.style);
+
+    setTimeout(() => {
+        if (styleState.style.displayLoginScreen && styleState.style.loginScreenInfo.setFocus) {
+            ref.current.focus();
+            dispatch(setStyle({
+                ...styleState.style,
+                loginScreenInfo: {
+                    ...styleState.style.loginScreenInfo,
+                    setFocus: false
+                }
+            }))
+        }
+    }, 10);
 
     function onChangeUsername(e) {
@@ -34,4 +51,10 @@
     }
 
+    function keyUp(e) {
+        if (e.key === 'Enter') {
+            login();
+        }
+    }
+
     function closeForm() {
         dispatch(setStyle({
@@ -44,6 +67,6 @@
             inlineAlertText: '',
         }));
+
     }
-
     function login() {
         dispatch(setStyle({
@@ -119,7 +142,7 @@
                 <div>
                     <span>Username:</span>
-                    <input type="text" onChange={(e) => {onChangeUsername(e)}} value={styleState.style.loginScreenInfo.username}/>
+                    <input ref={ref} type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.username} placeholder="your username..."/>
                     <span>Password:</span>
-                    <input type="password" onChange={(e) => {onChangePassword(e)}} value={styleState.style.loginScreenInfo.password}/>
+                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.loginScreenInfo.password} placeholder="your password..."/>
                     <div style={{width: '100%', display: 'flex', flexDirection: 'row', justifyContent: 'space-between'}}>
                         <button className="primaryButton" onClick={() => closeForm()}>Close Form</button>
Index: components/RegisterScreen.jsx
===================================================================
--- components/RegisterScreen.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/RegisterScreen.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -2,4 +2,6 @@
 
 import { useSelector, useDispatch } from 'react-redux'
+
+import { useRef } from 'react'
 
 import { setStyle } from '../redux/reducers/styleSlice';
@@ -8,7 +10,22 @@
 
 const RegisterScreen = () => {
+    const ref = useRef(null);
+
     const dispatch = useDispatch();
 
     const styleState = useSelector(state => state.style);
+
+    setTimeout(() => {
+        if (styleState.style.displayRegisterScreen && styleState.style.registerScreenInfo.setFocus) {
+            ref.current.focus();
+            dispatch(setStyle({
+                ...styleState.style,
+                registerScreenInfo: {
+                    ...styleState.style.registerScreenInfo,
+                    setFocus: false
+                }
+            }))
+        }
+    }, 10);
 
     function onChangeUsername(e) {
@@ -40,4 +57,10 @@
             }
         }))
+    }
+
+    function keyUp(e) {
+        if (e.key === 'Enter') {
+            register();
+        }
     }
 
@@ -89,4 +112,5 @@
                             status: 'success',
                         },
+                        inlineAlertText: '',
                     }));
                 }
@@ -107,9 +131,9 @@
                 <div>
                     <span>Username:</span>
-                    <input type="text" onChange={(e) => {onChangeUsername(e)}} value={styleState.style.registerScreenInfo.username}/>
+                    <input ref={ref} type="text" onChange={(e) => {onChangeUsername(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.username} placeholder="your username..."/>
                     <span>Display Name:</span>
-                    <input type="text" onChange={(e) => {onChangeDisplayName(e)}} value={styleState.style.registerScreenInfo.displayName}/>
+                    <input type="text" onChange={(e) => {onChangeDisplayName(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.displayName} placeholder="your display name..."/>
                     <span>Password:</span>
-                    <input type="password" onChange={(e) => {onChangePassword(e)}} value={styleState.style.registerScreenInfo.password}/>
+                    <input type="password" onChange={(e) => {onChangePassword(e)}} onKeyUp={(e) => keyUp(e)} value={styleState.style.registerScreenInfo.password} placeholder="your password..."/>
                     <div style={{width: '100%', display: 'flex', flexDirection: 'row', justifyContent: 'space-between'}}>
                         <button className="primaryButton" onClick={() => closeForm()}>Close Form</button>
Index: components/blackjack/Blackjack.jsx
===================================================================
--- components/blackjack/Blackjack.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/blackjack/Blackjack.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -1,5 +1,5 @@
 import React from 'react'
 
-import InGameHeader from '../../components/InGameHeader'
+import BlackjackHeader from './BlackjackHeader'
 
 import Head from 'next/head'
@@ -18,5 +18,5 @@
       </Head>
   
-      <InGameHeader/>
+      <BlackjackHeader/>
 
       <PlayButtons/>
Index: components/blackjack/BlackjackHeader.jsx
===================================================================
--- components/blackjack/BlackjackHeader.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
+++ components/blackjack/BlackjackHeader.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -0,0 +1,269 @@
+import React from 'react'
+
+import Link from 'next/link'
+
+import { useRouter } from 'next/router'
+
+import { AiOutlineArrowLeft } from 'react-icons/ai'
+
+import { useEffect } from 'react'
+import { useDispatch, useSelector } from 'react-redux'
+
+import { setGame, setPlayer } from '../../redux/reducers/playerSlice'
+import { setBlackjack, setStyle } from '../../redux/reducers/styleSlice'
+
+import axios from 'axios';
+
+const BlackjackHeader = () => {
+    const dispatch = useDispatch();
+
+    const router = useRouter();
+
+    const playerState = useSelector(state => state.player);
+    const styleState = useSelector(state => state.style);
+
+    useEffect(() => {
+        // display loading screen
+        dispatch(setStyle({
+            ...styleState.style,
+            displayLoadingScreen: true,
+        }));
+
+        dispatch(setBlackjack({
+            ...styleState.blackjack,
+            inputControls: {
+                ...styleState.blackjack.inputControls,
+                initialBet: {
+                    ...styleState.blackjack.inputControls.initialBet,
+                    chosenCredits: parseInt(playerState.player.credits/2),
+                }
+            }
+        }));
+
+        axios.get(`/api/postgre?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(postgreRes => {
+            if (postgreRes.data?.success) {
+                dispatch(setPlayer({
+                    ...playerState.player,
+                    displayName: postgreRes.data?.displayName,
+                    session_id: postgreRes.data?.session_id,
+                    credits: postgreRes.data?.credits,
+                }));
+
+                axios.get(`/api/blackjack?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
+                    if (res.data?.success) {
+                        dispatch(setGame({
+                            ...playerState.game,
+                            status: res.data?.status,
+                            playerCards: res.data?.playerCards,
+                            dealerCards: res.data?.dealerCards,
+                        }))
+
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            displayLoadingScreen: false,
+                        }))
+
+                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 5) {
+                            dispatch(setBlackjack({
+                                ...styleState.blackjack,
+                                inputControls: {
+                                    ...styleState.blackjack.inputControls,
+                                    initialBet: {
+                                        ...styleState.blackjack.inputControls.initialBet,
+                                        chosenCredits: parseInt(res.data?.initialBet),
+                                    },
+                                    sideBet: {
+                                        ...styleState.blackjack.inputControls.sideBet,
+                                        chosenCredits: 0,
+                                    }
+                                },
+                                displays: {
+                                    ...styleState.blackjack.displays,
+                                    initialBet: false,
+                                    hitStand: true,
+                                }
+                            }))
+
+                            if (res.data?.outcome === 'player_busted') {
+                                dispatch(setStyle({
+                                    ...styleState.style,
+                                    alert: {
+                                        show: true,
+                                        title: 'You busted!',
+                                        subtitle: `You lost $${-1*res.data?.earnings}`,
+                                        button: {
+                                            text: 'Play again',
+                                            action: 'play_again',
+                                        }
+                                    }
+                                }))
+                            }
+                            else if (res.data?.outcome === 'dealer_busted') {
+                                dispatch(setStyle({
+                                    ...styleState.style,
+                                    alert: {
+                                        show: true,
+                                        title: 'Dealer busted!',
+                                        subtitle: `You won $${res.data?.earnings}`,
+                                        button: {
+                                            text: 'Play again',
+                                            action: 'play_again',
+                                        }
+                                    }
+                                }))
+                            }
+                            else if (res.data?.outcome === 'player_won') {
+                                dispatch(setStyle({
+                                    ...styleState.style,
+                                    alert: {
+                                        show: true,
+                                        title: 'You won!',
+                                        subtitle: `You won $${res.data?.earnings}`,
+                                        button: {
+                                            text: 'Play again',
+                                            action: 'play_again',
+                                        }
+                                    }
+                                }))
+                            }
+                            else if (res.data?.outcome === 'player_lost') {
+                                dispatch(setStyle({
+                                    ...styleState.style,
+                                    alert: {
+                                        show: true,
+                                        title: 'You lost!',
+                                        subtitle: `You lost $${-1*res.data?.earnings}`,
+                                        button: {
+                                            text: 'Play again',
+                                            action: 'play_again',
+                                        }
+                                    }
+                                }))
+                            }
+                            else if (res.data?.outcome === 'draw') {
+                                dispatch(setStyle({
+                                    ...styleState.style,
+                                    alert: {
+                                        show: true,
+                                        title: 'Draw!',
+                                        subtitle: `You got your $${res.data?.earnings} back`,
+                                        button: {
+                                            text: 'Play again',
+                                            action: 'play_again',
+                                        }
+                                    }
+                                }))
+                            }
+                        }
+
+                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 4) {
+                            dispatch(setBlackjack({
+                                ...styleState.blackjack,
+                                inputControls: {
+                                    ...styleState.blackjack.inputControls,
+                                    initialBet: {
+                                        ...styleState.blackjack.inputControls.initialBet,
+                                        chosenCredits: parseInt(res.data?.initialBet),
+                                    },
+                                    sideBet: {
+                                        ...styleState.blackjack.inputControls.sideBet,
+                                        chosenCredits: 0,
+                                    }
+                                },
+                                displays: {
+                                    ...styleState.blackjack.displays,
+                                    initialBet: false,
+                                    hitStand: true,
+                                }
+                            }))
+                        }
+
+                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 3) {
+                            dispatch(setBlackjack({
+                                ...styleState.blackjack,
+                                inputControls: {
+                                    ...styleState.blackjack.inputControls,
+                                    initialBet: {
+                                        ...styleState.blackjack.inputControls.initialBet,
+                                        chosenCredits: parseInt(res.data?.initialBet),
+                                    },
+                                    sideBet: {
+                                        ...styleState.blackjack.inputControls.sideBet,
+                                        chosenCredits: parseInt(res.data?.sideBet),
+                                    }
+                                },
+                                displays: {
+                                    ...styleState.blackjack.displays,
+                                    initialBet: false,
+                                    hitStand: true,
+                                }
+                            }))
+                        }
+
+                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 2) {
+                            dispatch(setBlackjack({
+                                ...styleState.blackjack,
+                                inputControls: {
+                                    ...styleState.blackjack.inputControls,
+                                    initialBet: {
+                                        ...styleState.blackjack.inputControls.initialBet,
+                                        chosenCredits: parseInt(res.data?.initialBet),
+                                    }
+                                },
+                                displays: {
+                                    ...styleState.blackjack.displays,
+                                    initialBet: false,
+                                    sideBet: true,
+                                }
+                            }))
+                        }
+
+                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 1) {
+                            dispatch(setBlackjack({
+                                ...styleState.blackjack,
+                                inputControls: {
+                                    ...styleState.blackjack.inputControls,
+                                    initialBet: {
+                                        ...styleState.blackjack.inputControls.initialBet,
+                                        chosenCredits: parseInt(postgreRes.data?.credits/2),
+                                    }
+                                },
+                            }))
+                        }
+                    }
+                });
+            }
+            else {
+                dispatch(setStyle({
+                    ...styleState.style,
+                    notification: {
+                        show: true,
+                        text: 'Please login in order to play blackjack.',
+                        status: 'error',
+                    },
+                    displayLoadingScreen: false,
+                }))
+
+                router.push('/');
+            }
+        });
+    }, []);
+
+    return (
+        <header className="header">
+            <Link href="/" passHref>
+                <h2>
+                    <AiOutlineArrowLeft />
+                </h2>
+            </Link>
+            <nav>
+                <ul>
+                    <li>Hi{playerState?.player?.displayName ? `, ${playerState.player.displayName}` : ``}</li>
+                    <li>Balance: ${playerState?.player?.credits}</li>
+                </ul>
+            </nav>
+        </header>
+    )
+}
+
+export default BlackjackHeader
Index: components/blackjack/Cards.jsx
===================================================================
--- components/blackjack/Cards.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/blackjack/Cards.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -2,6 +2,4 @@
 
 import { useSelector } from 'react-redux'
-
-import { useState } from 'react'
 
 import Card from '../Card'
@@ -9,9 +7,4 @@
 const Cards = () => {
   const playerState = useSelector(state => state.player)
-
-  let initialPos = {
-    left: 70,
-    top: 24,
-  }
 
   let playerPos = {
Index: components/blackjack/PlayButtons.jsx
===================================================================
--- components/blackjack/PlayButtons.jsx	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ components/blackjack/PlayButtons.jsx	(revision 0af535a229d9792c1a9972ea16cb5848f9b2552e)
@@ -8,5 +8,4 @@
 
 import { useSelector, useDispatch } from 'react-redux'
-import { useState, useEffect } from 'react'
 
 import axios from 'axios';
